Last modified: 2014-10-19 22:30:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 32696 - Render 1.5x, 2.0x math images for high-density displays, printing
Render 1.5x, 2.0x math images for high-density displays, printing
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Math (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 3840 32697
  Show dependency treegraph
 
Reported: 2011-11-28 22:45 UTC by Brion Vibber
Modified: 2014-10-19 22:30 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2011-11-28 22:45:29 UTC
We currently render math images only for traditional screen resolution; on high-density screens (eg iPhone 4) and when printing, these can look blurry or blocky.

Rendering another PNG at 2.0x the size would be suitable for iPhone & iPod Touch Retina display, Samsung Nexus Galaxy, and printing.

1.5x would be suitable for many phones running at an intermediate 240dpi-ish resolution (Droid, Nexus 1, all Windows Phone 7 phones, etc).
Comment 1 Brion Vibber 2011-11-28 22:50:04 UTC
remove dupe dupe dupe dupe dupe dep blocker tracking. :)
Comment 2 Brion Vibber 2011-11-30 01:50:54 UTC
Dropping this idea in favor of MathJax, which produces fully client-scalable HTML or MathML (bug 31406).
Comment 3 Brion Vibber 2013-04-22 22:29:54 UTC
Reopening this; MathJax has some issues with printing and compatibility, so we might end up going with the higher-res rasters for default behavior.
Comment 4 Peter Krautzberger 2013-04-30 15:05:17 UTC
Brion, could you provide more information about these issues on the MathJax bug tracker? https://github.com/mathjax/mathjax/issues

Peter.
Comment 5 Jarry1250 2013-10-02 20:36:53 UTC
Presumably we should either push ahead with this or make MathJax the default?
Comment 6 physikerwelt 2014-10-19 22:30:34 UTC
We have MathML and SVG now. This should solve the problem.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links